% preg4, lab8, 521230, S2-2013
% y'= 100-100y, y(0)=2, y(t) = exp(-100t)+1
% t \in [0,tf]

% comprobar que es stiff, un metodo que no es adecuado para problemas stiff
% escoge un tamanno de paso mucho mas pequenno al resolver el problema, es
% decir, realiza muchos mas pasos que un metodo apropiado para problemas
% stiff
opcion = odeset('RelTol',1e-4,'AbsTol',1e-6);
[t1,y1] = ode45('func_preg4_lab8',[0 5],2,opcion);
[t2,y2] = ode15s('func_preg4_lab8',[0 5],2,opcion);
length(t1)
length(t2)

% tamannos de paso
figure(1)
plot(t1(1:end-1),t1(2:end)-t1(1:end-1),'.-b');
hold on
plot(t2(1:end-1),t2(2:end)-t2(1:end-1),'.-r');
% solucion exacta
figure(2)
plot(t1,exp(-100*t1)+1);

